<?php

require_once dirname(dirname(dirname(__FILE__))) . '/class/core/ActionBase.class.php';

class Xoonips_MaintenanceMenuAction extends Xoonips_ActionBase {

	protected function doInit(&$request, &$response) {

		// breadcrumbs
		$breadcrumbs = array(
		  array(
		    'name' => _AM_XOONIPS_TITLE,
		    'url' => XOOPS_URL.'/modules/'.$this->dirname.'/admin/index.php',
		  ),
		  array(
		    'name' => _AM_XOONIPS_MAINTENANCE_TITLE,
		  ),
		);

		// menu
		$menu = array(
		  array(
		    'label' => _AM_XOONIPS_MAINTENANCE_FILESEARCH_TITLE,
		  	'url' => XOOPS_URL.'/modules/'.$this->dirname.'/admin/maintenance_filesearch.php',
		  ),
		);

		// get common viewdata
		$viewData = array();
		
		$viewData['menu'] = $menu;
		$viewData['breadcrumbs'] = $breadcrumbs;
		
		$response->setViewData($viewData);
		$response->setForward('init_success');

		return true;
	}
}
?>
